{
  "name": "@kwaeri/postgresql-database-driver",
  "description": "The @kwaeri/postgresql-database-driver component of the @kwaer/node-kit application platform.",
  "homepage": "https://gitlab.com/kwaeri/node-kit/postgresql-database-driver#README",
  "author": "Richard B. Winters <kirvedx@gmail.com> and contributors",
  "copyright.owner": "Richard B. Winters <kirvedx@gmail.com> and contributors",
  "license": "(Apache-2.0 WITH LLVM-exception OR MIT)",
  "version": "0.5.0",
  "type": "module",
  "exports": {
    "import": "./dist/index.mjs",
    "require": null
  },
  "main": "dist/index.mjs",
  "types": "dist/index.d.mts",
  "bin": {},
  "default_locale": "en",
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/kwaeri/node-kit/postgresql-database-driver.git"
  },
  "bugs": {
    "url": "https://gitlab.com/kwaeri/node-kit/postgresql-database-driver/issues"
  },
  "funding": [
    {
      "type": "Patreon",
      "url": "https://patreon.com/kirvedx"
    },
    {
      "type": "PayPal",
      "url": "https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=YUW4CWCAABCU2"
    }
  ],
  "keywords": [
    "mmod",
    "massively",
    "modified",
    "Kwaeri",
    "nk",
    "nodekit",
    "node-kit",
    "driver",
    "database-driver",
    "postgresql-database-driver",
    "mysql",
    "postgres",
    "@kwaeri/node-kit",
    "@kwaeri/driver",
    "@kwaeri/database-driver",
    "@kwaeri/postgresql-database-driver"
  ],
  "scripts": {
    "build": "tsc --build --clean && tsc -p .",
    "clean": "tsc --build --clean",
    "build:major-release": "npm run clean && xfmr-cli --bump-version --component major --source --project && npm run build",
    "build:minor-release": "npm run clean && xfmr-cli --bump-version --component minor --source --project && npm run build",
    "build:patch-release": "npm run clean && xfmr-cli --bump-version --source --project && npm run build",
    "local-upgrade": "npm run build && npm install -g .",
    "test": "mocha --exit",
    "coverage": "nyc mocha --exit",
    "abc": "npm run build && npm run coverage"
  },
  "devDependencies": {
    "@istanbuljs/esm-loader-hook": "^0.2.0",
    "@istanbuljs/nyc-config-typescript": "^1.0.2",
    "@kwaeri/xfmr": "^0.3.0",
    "@tsconfig/node19": "^19.1.4",
    "@types/debug": "^4.1.12",
    "@types/mocha": "^10.0.10",
    "@types/node": "^22.10.2",
    "@types/pg": "^8.11.10",
    "assert": "^2.1.0",
    "mocha": "^11.0.1",
    "nyc": "^17.1.0",
    "typescript": "^5.7.2"
  },
  "dependencies": {
    "@kwaeri/database-driver": "^0.6.0",
    "debug": "^4.4.0",
    "pg": "^8.13.1"
  }
}
